Bug 1304941 - No boot.ipxe, pxelinux.cfg in /httpboot
No boot.ipxe, pxelinux.cfg in /httpboot
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 21:55 EST by Shinobu KINJO
Modified: 2016-03-15 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 23:14:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinobu KINJO 2016-02-04 21:55:39 EST
Description of problem:

Documentation: Red Hat Enterprise Linux OpenStack Platform 7 Director Installation and Usage
Version: Latest
Chapter: 3
Section: 3.7 Obtaining Images for Overcloud Nodes

After registering all images into director, it's expected
that there are 5 files:

 1.boot.ipxe
 2.discoverd.ipxe
 3.discovery.kernel
 4.discovery.ramdisk
 5.pxelinux.cfg

But after I did that, there are only 3 files:

 1.discoverd.ipxe
 2.discovery.kernel
 3.discovery.ramdisk

It's successfully completed to register images followed by the
following messages.

 [stack@ospdx ~]$ openstack overcloud image upload --image-path /home/stack/images/
 Image "overcloud-full-vmlinuz" was uploaded.
 +--------------------------------------+------------------------+-------------+---------+--------+
 |                  ID                  |          Name          | Disk Format |   Size  | Status |
 +--------------------------------------+------------------------+-------------+---------+--------+
 | d09b2b3f-0473-4634-b817-8bd541218bf6 | overcloud-full-vmlinuz |     aki     | 5152928 | active |
 +--------------------------------------+------------------------+-------------+---------+--------+
 Image "overcloud-full-initrd" was uploaded.
 +--------------------------------------+-----------------------+-------------+----------+--------+
 |                  ID                  |          Name         | Disk Format |   Size   | Status |
 +--------------------------------------+-----------------------+-------------+----------+--------+
 | 43667067-cdf1-4ff9-8d70-2345711b390a | overcloud-full-initrd |     ari     | 40255366 | active |
 +--------------------------------------+-----------------------+-------------+----------+--------+
 Image "overcloud-full" was uploaded.
 +--------------------------------------+----------------+-------------+-----------+--------+
 |                  ID                  |      Name      | Disk Format |    Size   | Status |
 +--------------------------------------+----------------+-------------+-----------+--------+
 | 9842a275-0474-4513-b2c2-fcd0e0f1fba3 | overcloud-full |    qcow2    | 979113984 | active |
 +--------------------------------------+----------------+-------------+-----------+--------+
 Image "bm-deploy-kernel" was uploaded.
 +--------------------------------------+------------------+-------------+---------+--------+
 |                  ID                  |       Name       | Disk Format |   Size  | Status |
 +--------------------------------------+------------------+-------------+---------+--------+
 | 9c7e6c7b-d1e3-496c-893f-18dcd1a884b3 | bm-deploy-kernel |     aki     | 5152928 | active |
 +--------------------------------------+------------------+-------------+---------+--------+
 Image "bm-deploy-ramdisk" was uploaded.
 +--------------------------------------+-------------------+-------------+----------+--------+
 |                  ID                  |        Name       | Disk Format |   Size   | Status |
 +--------------------------------------+-------------------+-------------+----------+--------+
 | 38a7ac6a-182e-4ddf-ac5c-075df591cca5 | bm-deploy-ramdisk |     ari     | 59529063 | active |
 +--------------------------------------+-------------------+-------------+----------+--------+

And each id is listed as expected as follows.

 [stack@ospdx ~]$ openstack image list
 +--------------------------------------+------------------------+
 | ID                                   | Name                   |
 +--------------------------------------+------------------------+
 | 38a7ac6a-182e-4ddf-ac5c-075df591cca5 | bm-deploy-ramdisk      |
 | 9c7e6c7b-d1e3-496c-893f-18dcd1a884b3 | bm-deploy-kernel       |
 | 9842a275-0474-4513-b2c2-fcd0e0f1fba3 | overcloud-full         |
 | 43667067-cdf1-4ff9-8d70-2345711b390a | overcloud-full-initrd  |
 | d09b2b3f-0473-4634-b817-8bd541218bf6 | overcloud-full-vmlinuz |
 +--------------------------------------+------------------------+

Question here is if the following result expected or not.

 [stack@ospdx ~]$ ls /httpboot/ -l
 total 155504
 -rw-r--r--. 1 root root       246 Feb  4 17:54 discoverd.ipxe
 -rwxr-xr-x. 1 root root   5152928 Feb  4 21:39 discovery.kernel
 -rw-r--r--. 1 root root 154075101 Feb  4 21:39 discovery.ramdisk


In terms deployment, if that result is fine, that's fine.
But, from customers point of views, the guide would make them confused,
if deployment is failed.

Thank you for your official confirmation beforehand.

Rgds,
Shinobu

Version-Release number of selected component (if applicable):

 deploy-ramdisk-ironic-7.2.0-46.tar
 discovery-ramdisk-7.2.0-46.tar
 overcloud-full-7.2.0-46.tar

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Dan Macpherson 2016-02-04 23:32:25 EST
Hi Shinobu,

This is expected behavior. Ironic creates the remaining files files when performing introspection or provisioning. For example, if you perform an introspection on nodes and view this directory during the introspection, the missing files should appear.

By all accounts, the introspection and deployment shouldn't fail as long as the discovery.* files are there.

Were there any other questions you had regarding this? If not, I'll close this BZ.
Comment 3 Shinobu KINJO 2016-02-05 21:35:45 EST
@Dan,

Thank you for your confirmation which I really wanted!
Please free to close this BZ.

Rgds,
Shinobu
Comment 8 Dan Macpherson 2016-03-15 23:14:23 EDT
No response in over a month and changes are live on the portal now. Closing this BZ down.

If further changes are required, please feel free to reopen this BZ.

Note You need to log in before you can comment on or make changes to this bug.